Đến nội dung


Hình ảnh

Lỗi File CAD ko hiển thị số 0 đằng trước dấu phẩy !!!!


  • Please log in to reply
3 replies to this topic

#1 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 12 June 2009 - 04:05 PM

File CAD của em, nó bị lỗi kiểu j ấy, khi chạy lisp tính diện tích chẳng hạn hay lisp j đó liên quan đến con số. nếu kết quả trả về là số <1 dạng 0,x thì nó ko hiển thị số 0 đằng trước dấu phảy. Xin mấy bác Pro chỉ giáo cách sửa ???

đây là File CAD : http://www.cadviet.c...es/Giap_nhi.dwg
CODE lisp tính diện tích
;;=============== Dien tich ==============
(defun c:R(/ dtl dtcon pt1 pt2 ss et oslast vsize)
(Setq CVAR (Getvar "CMDECHO"))
(Setvar "CMDECHO" 0)
(prompt "\n Tinh dien tich, KS_Pham Hoang Giang 0985.136.988")
(print)
(if (= tle nil) (progn
(setq tle (getreal "Ty le ban ve 1:X , X=?: "))
(setq ntl (/ 1 tle))
; (setq ntl 1)
(setq tl2 (* ntl ntl))
)
)
(setq dtl 0)
(setq ss (ssadd))
(setq oslast (getvar "OSMODE"))
(command "osnap" "")
(print)
(print)
(setq pt1 (getpoint "\n Chon diem ben trong hinh : "))
(while (/= pt1 nil)
(command "-boundary" pt1 "")
(setq et (entlast))
(ssadd et ss)
(command "area" "e" "last")
; (setq vsize (/ (getvar "VIEWSIZE") tl1))
; (command "hatch" "ANSI31" vsize "0" "last" "")
(setq et (entlast))
(ssadd et ss)
(setq dtcon (/ (getvar "AREA") tl2))
(setq dtl (+ dtcon dtl))
(prompt (strcat "\n Dien tich hinh vua chon=" (rtos dtcon 2 3)))
(print)
(print)
(setq pt1 (getpoint "\nPick internal point : "))
)
(command "setvar" "OSMODE" oslast)
(command "erase" ss "")
(setq ss nil)
(command "redraw")
; (setq dtl (/ dtl 2))
; (print)
(prompt (strcat "\n Dien tich = " (rtos dtl 2 4)))
(print)

; (setq pt2 (getpoint "\n Chon text ghi chu dien tich: "))
; (if (/= 0 (DXF 40 (tblsearch "STYLE" (getvar "TEXTSTYLE"))))
; (command "text" pt2 "0" (strcat (rtos dtl 2 2) " m2"))
; (command "text" pt2 "2" "0" (strcat (rtos dtl 2 3) "m2" ))
; );if
  • 0
Hoàng Giang

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 12 June 2009 - 04:16 PM

File CAD của em, nó bị lỗi kiểu j ấy, khi chạy lisp tính diện tích chẳng hạn hay lisp j đó liên quan đến con số. nếu kết quả trả về là số <1 dạng 0,x thì nó ko hiển thị số 0 đằng trước dấu phảy. Xin mấy bác Pro chỉ giáo cách sửa ???

đây là File CAD : http://www.cadviet.c...es/Giap_nhi.dwg

Giờ mình đang bận. Mình sửa sau
Dùng cách sau :
Trước khi dùng Lisp -> Gõ Dimzin -> thiết lập cho nó giá trị bằng 0 là OK
Command: dimzin
Enter new value for DIMZIN <0>: 0
  • 2

#3 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 12 June 2009 - 04:43 PM

Giờ mình đang bận. Mình sửa sau
Dùng cách sau :
Trước khi dùng Lisp -> Gõ Dimzin -> thiết lập cho nó giá trị bằng 0 là OK
Command: dimzin
Enter new value for DIMZIN <0>: 0

ok ! Em sửa được Lisp đó rùi, Cảm ơn anh nhìu nhé !!! kekeke vui thế !
  • 0
Hoàng Giang

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 12 June 2009 - 04:55 PM

ok ! Em sửa được Lisp đó rùi, Cảm ơn anh nhìu nhé !!! kekeke vui thế !

Rát mừng vì bài học bữa trước anh đã chỉ mà em vẫn nhớ. :lol2:
  • 0